unit IntroPolynoms;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  Basic3, StdCtrls, ComCtrls;

type
  TIntroPoly = class(TBasicForm3)
    procedure FormCreate(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  IntroPoly: TIntroPoly;

implementation

{$R *.DFM}

procedure TIntroPoly.FormCreate(Sender: TObject);
begin
  inherited;
  with RichEdit1.Lines, RichEdit1 do
  begin
    Clear;
    DefAttributes.Style := [fsBold];

    SelAttributes.Size := 12;
    SelAttributes.Color := RGB(51,51,153);
    Add('Robust polynomials handling methods:');
    Add('');
    Paragraph.FirstIndent := 10;
    Paragraph.Numbering := nsBullet;
    Add('Polynomial evaluation, root finding');
    Add('Piece-wise polynomials');
    Add('Fast cubic spline algorithm');
    Add('Linear or cubic interpolation');
    Add('Fit high order polynomials to data'+#10+#13);
    Paragraph.FirstIndent := 0;
    Paragraph.Numbering := nsNone;
  end;
  TButton(Self.Owner.FindComponent('btnHelp')).Enabled := false;
end;

initialization
   RegisterClass(TIntroPoly);

end.
